<?php
/*-------------------------------------------------------+
| Last Seen Panel for PHP-Fusion v7
| Copyright (C) 2009 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: last_seen_panel.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<link rel='stylesheet' href='".INFUSIONS."last_seen_panel/last_seen_panel.css' type='text/css' media='all' />");
if (file_exists(INFUSIONS."last_seen_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."last_seen_panel/locale/English.php";
}

// liczba wyswietlanych uzytkownikow
$last_seen_users = 10;

openside($locale['lsp_001']);
$result = dbquery("SELECT user_id, user_name, user_lastvisit FROM ".DB_USERS." WHERE user_status<='1' ORDER BY user_lastvisit DESC, user_name LIMIT 0,".$last_seen_users);
echo "<ul id='last-seen-panel'>\n";
while ($data = dbarray($result)){
	$lastseen = time() - $data['user_lastvisit'];
	$iW = sprintf("%2d", floor($lastseen/604800));
	$iD = sprintf("%2d", floor($lastseen/(60*60*24)));
	$iH = sprintf("%02d", floor((($lastseen%604800)%86400)/3600));
	$iM = sprintf("%02d", floor(((($lastseen%604800)%86400)%3600)/60));
	$iS = sprintf("%02d", floor((((($lastseen%604800)%86400)%3600)%60)));
	if ($lastseen < 60) {
		$lastseen = "<img src='".INFUSIONS."last_seen_panel/images/online.gif' alt='".$locale['lsp_002']."' />";
	} else if ($lastseen < 360) {
		$lastseen = "<img src='".INFUSIONS."last_seen_panel/images/offline.gif' alt='".$locale['lsp_003']."' />";
	} else if ($iW > 0) {
		if ($iW == 1) $Text = $locale['lsp_004'];
		else $Text = $locale['lsp_005'];
		$lastseen = $iW." ".$Text;
	} else if ($iD > 0){
		if ($iD == 1) $Text = $locale['lsp_006'];
		else $Text = $locale['lsp_007'];
		$lastseen = $iD." ".$Text;
	} else {
		$lastseen = $iH.":".$iM.":".$iS;
	}
	echo "<li>\n";
	echo THEME_BULLET." <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['lsp_008'].$data['user_name']."'>".trimlink($data['user_name'], 12)."</a>";
	echo "<br>";
	echo "";
	echo "<span class='last-seen'>".$lastseen."</span>\n";
	echo "</li>\n";
}
echo "</ul>\n";
echo "<p id='lsp-total-users' class='small'>".THEME_BULLET." ".$locale['lsp_009'].number_format(dbcount("(user_id)", DB_USERS, "user_status<='1'"))."</p>\n";
$data = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
echo "<p id='lsp-last-user' class='small'>".THEME_BULLET." ".$locale['lsp_010']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['lsp_008'].$data['user_name']."'>".trimlink($data['user_name'], 12)."</a></p>\n";
closeside();
?>